### Class

# Foundry SymbolLocator

#### Description

    final class Foundry.SymbolLocator : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### foundry_symbol_locator_new_for_file

No description available.

###### foundry_symbol_locator_new_for_file_and_line

No description available.

###### foundry_symbol_locator_new_for_file_and_line_offset

No description available.

###### foundry_symbol_locator_new_for_file_and_pattern

No description available.

#### Instance methods

###### foundry_symbol_locator_dup_file

No description available.

since: 1.1

###### foundry_symbol_locator_get_line

No description available.

###### foundry_symbol_locator_get_line_offset

No description available.

###### foundry_symbol_locator_get_line_offset_set

No description available.

###### foundry_symbol_locator_get_line_set

No description available.

###### foundry_symbol_locator_get_pattern

No description available.

###### foundry_symbol_locator_locate

Attempt to resolve `locator` into a fixed position.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.SymbolLocator:file

No description available.

###### Foundry.SymbolLocator:line

No description available.

###### Foundry.SymbolLocator:line-offset

No description available.

###### Foundry.SymbolLocator:pattern

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundrySymbolLocatorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.